Skip to content
Start here

Create account Email Sending suppression

client.EmailSending.Suppressions.New(ctx, params) (*SuppressionNewResponse, error)
POST/accounts/{account_id}/email/sending/suppressions

Creates an account-wide suppression. If a mutable legacy zone-linked row already exists, it is promoted without changing its identifier.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params SuppressionNewParams
AccountID param.Field[string]

Path param

Email param.Field[string]

Body param

formatemail
ExpiresAt param.Field[Time]Optional

Body param

formatdate-time
Note param.Field[string]Optional

Body param

maxLength1000
ReturnsExpand Collapse
type SuppressionNewResponse struct{…}
ID string
formatuuid

Create account Email Sending suppression

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_sending"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  suppression, err := client.EmailSending.Suppressions.New(context.TODO(), email_sending.SuppressionNewParams{
    AccountID: cloudflare.F("54442216"),
    Email: cloudflare.F("user@example.com"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", suppression.ID)
}
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}